Bug 975158 - Regression: sound disappears on PCM2904 usb sound card
Regression: sound disappears on PCM2904 usb sound card
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 14:02 EDT by Carl-Johan Kjellander
Modified: 2013-10-19 08:05 EDT (History)
8 users (show)

See Also:
Fixed In Version: kernel-3.11.4-101.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-13 15:55:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg from startup (112.84 KB, text/plain)
2013-07-24 17:37 EDT, Carl-Johan Kjellander
no flags Details
dmesg (71.70 KB, text/plain)
2013-07-26 23:28 EDT, John Brier
no flags Details

  None (edit)
Description Carl-Johan Kjellander 2013-06-17 14:02:12 EDT
Description of problem:
Randomly the sound dissapears on my PCM2904 usb RIAA-preamp. This never
happened in F17.

Version-Release number of selected component (if applicable):
kernel-3.9.4-200.fc18.x86_64

How reproducible:
100% after some time

Steps to Reproduce:
1. Try and play records on the USB soundcard over the course of a day.

Actual results:
[122420.506708] retire_capture_urb: 2 callbacks suppressed
[122835.591189] retire_capture_urb: 5 callbacks suppressed
[123114.920206] retire_capture_urb: 8 callbacks suppressed
[126450.572452] retire_capture_urb: 32 callbacks suppressed
[128730.881093] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[128730.881105] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[128730.881111] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[128730.881116] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[128730.881121] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[128730.881126] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[128730.881131] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[128730.881136] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)

And then no sound on on the USB soundcard.

Expected results:
Perfect sound just as in F17.

Additional info:
Unplugging the soundcard and plugging it in again makes it possible to
record sound again, but not listen too it as it messes with pluseaudio.
This can be see in the related bug #969192
Comment 1 Josh Boyer 2013-07-01 13:49:50 EDT
Did this happen with 3.9.3 or any earlier kernel, or did it start with 3.9.4?  Can you attach the full dmesg from a boot please?
Comment 2 Josh Boyer 2013-07-24 14:53:00 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 3 Carl-Johan Kjellander 2013-07-24 17:37:30 EDT
Created attachment 778003 [details]
Dmesg from startup
Comment 4 Carl-Johan Kjellander 2013-07-24 17:41:47 EDT
Uploaded dmesg. Can't set it back to new so have to set it to assigned.

Have not tried any other kernels, kernel-3.9.4-200.fc18.x86_64 was the
one installed when upgrading to F18 with latest updates.
Comment 5 John Brier 2013-07-26 23:28:56 EDT
Created attachment 778964 [details]
dmesg
Comment 6 John Brier 2013-07-26 23:29:57 EDT
I am running into this as well. I use a Rane SL-1 USB sound card for DJing via timecode CDs using xwax. This used to work fine in Fedora, actually, I thought it worked in F18 on a different laptop (but I'll have to confirm it actually has F18.. it might have something else)

Anyway I fire up xwax and I can capture and play out audio for less than 30 seconds say and then it all stops and I see the following messages in dmesg

[ 3757.164393] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3757.164517] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3776.899294] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3776.899331] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3875.500980] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3875.501005] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3875.501037] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3875.501054] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3986.763979] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3986.764006] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3986.764039] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
[ 3986.764056] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)

I noticed once when i closed xwax after this I got another set of messages:

[ 4265.381905] ALSA sound/usb/mixer.c:934 4:0: cannot get min/max values for control 2 (id 4)
[ 4265.402342] ALSA sound/usb/mixer.c:934 9:0: cannot get min/max values for control 2 (id 9)
[ 4265.428977] ALSA sound/usb/mixer.c:934 4:0: cannot get min/max values for control 2 (id 4)
[ 4265.448977] ALSA sound/usb/mixer.c:934 9:0: cannot get min/max values for control 2 (id 9)
[ 4265.475990] ALSA sound/usb/mixer.c:934 4:0: cannot get min/max values for control 2 (id 4)
[ 4265.495613] ALSA sound/usb/mixer.c:934 9:0: cannot get min/max values for control 2 (id 9)
[ 4265.569394] ALSA sound/usb/mixer.c:934 4:0: cannot get min/max values for control 2 (id 4)
[ 4265.588874] ALSA sound/usb/mixer.c:934 9:0: cannot get min/max values for control 2 (id 9)
[ 4265.660423] ALSA sound/usb/mixer.c:934 4:0: cannot get min/max values for control 2 (id 4)
[ 4265.680413] ALSA sound/usb/mixer.c:934 9:0: cannot get min/max values for control 2 (id 9)
[ 4265.710047] ALSA sound/usb/mixer.c:934 4:0: cannot get min/max values for control 2 (id 4)
[ 4265.730053] ALSA sound/usb/mixer.c:934 9:0: cannot get min/max values for control 2 (id 9)


I saw this originally on 3.9.5-201.fc18.x86_64 but updated to 3.9.11-200.fc18.x86_64 which is where the above messages came from
Comment 7 John Brier 2013-07-26 23:40:41 EDT
(In reply to John Brier from comment #6)
 
> Anyway I fire up xwax and I can capture and play out audio for less than 30
> seconds say and then it all stops and I see the following messages in dmesg

Hm, since i'm not actually monitoring or recording the capture it's hard to tell, but it seems like it keeps working no matter what, it seems like playback is what stops, which I do monitor. The reason it seems like capture is working is that xwax has a little graphical indication of circles that represent the timecode reception quality (see http://xwax.org/screenshots/xwax-1.3.png) as you adjust the playback of the timecode CD on your CD turntable the circles change and disappear if you stop playback completely, I can see this functions normally while the playback stops.

incidentally I tried 3.9.4-200.fc18.x86_64 and it does have the same problem :-(
Comment 8 Brian Morrison 2013-07-31 06:45:54 EDT
I'm also seeing the same thing with F19 with kernel-3.10.3-300.fc19.x86_64, I use a SignaLink USB with the PCM2904 device in it and it will fail after a random time with a string of 8:

ALSA sound/usb/endpoint.c[391]: cannot submit urb (err = -18)

lines in /var/log/messages

I have all the latest updates applied to F19, I will add my dmesg to this bug in case it helps.

From what others have said there seem to be 2 or more interacting bugs, possibly in pulseaudio as well as the kernel.
Comment 9 Brian Morrison 2013-07-31 08:52:15 EDT
There's a relevant thread on the linux usb-devel list, the last message to date is here:

http://www.spinics.net/lists/linux-usb/msg90589.html

By the looks of it, various aspects of USB ISO are still broken and fixes for this have not yet made it into 3.11-rc nor, of course, been backported to 3.10.x and earlier.

I have the impression that a 3.7.x kernel should work properly, but would have to build one to test.
Comment 10 john casey 2013-08-20 14:45:33 EDT
I created Bug 997093, and I'm not sure if these two are related.   USB Camera - logitech - Sound goes away, with message:

ALSA sound/usb/endpoint.c[391]: cannot submit urb (err = -18)

lines in /var/log/messages


[root@prava-dev2 ~]# uname -a
Linux prava-dev2.home.lan 3.10.7-200.fc19.x86_64 #1 SMP Thu Aug 15 23:19:45 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

See other bug for details.

To reproduce:  

Plubin USB logitech mouse.   Start Skype,  move cursor around screen and change windows.  Sound will go away with the above message.
Comment 11 john casey 2013-08-26 23:35:44 EDT
Seems to be fixed in latest FC19 kernel.

[root@prava-dev2 ~]# uname -a
Linux prava-dev2.home.lan 3.10.9-200.fc19.x86_64 #1 SMP Wed Aug 21 19:27:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


[root@prava-dev2 ~]# rpm -qa | grep -i alsa
alsa-firmware-1.0.27-1.fc19.noarch
alsa-plugins-pulseaudio-1.0.27-1.fc19.x86_64
alsa-utils-1.0.27.2-2.fc19.x86_64
alsa-lib-1.0.27.2-1.fc19.i686
alsa-tools-firmware-1.0.27-2.fc19.x86_64
alsa-lib-devel-1.0.27.2-1.fc19.x86_64
alsa-lib-1.0.27.2-1.fc19.x86_64
Comment 12 Brian Morrison 2013-08-27 17:34:52 EDT
Unfortunately I cannot echo that finding:

From /var/log/messages:

Aug 26 01:01:01 peterson kernel: [ 1334.434620] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 26 01:01:01 peterson kernel: [ 1334.434630] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 26 01:01:01 peterson kernel: [ 1334.434637] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 26 01:01:01 peterson kernel: [ 1334.434642] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 26 01:01:01 peterson kernel: [ 1334.434648] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 26 01:01:01 peterson kernel: [ 1334.434653] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 26 01:01:01 peterson kernel: [ 1334.434658] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 26 01:01:01 peterson kernel: [ 1334.434663] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 27 18:30:25 peterson kernel: [150698.426749] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 27 18:30:25 peterson kernel: [150698.426759] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 27 18:30:25 peterson kernel: [150698.426766] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 27 18:30:25 peterson kernel: [150698.426772] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 27 18:30:25 peterson kernel: [150698.426778] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 27 18:30:25 peterson kernel: [150698.426784] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 27 18:30:25 peterson kernel: [150698.426790] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 27 18:30:25 peterson kernel: [150698.426795] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)

and the output of uname -a:

Linux peterson.fenrir.org.uk 3.10.9-200.fc19.x86_64 #1 SMP Wed Aug 21 19:27:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I am using a PCM2904-based USB soundcard interface with fldigi, in order to get this working again I need to turn off the Audio codec entry in the Configuration tab of the pulseaudio volume control and then reselect the Analog Stereo Duplex setting again.

I'm using Fedora 19 with all distro-issued updates to date applied and a locally built (from src rpm) fldigi using the latest source from the developer's web site which is currently 3.21.74

I believe that the USB developers are still working on patches that improve the handling of URBs within the USB part of the kernel in situations where the URB has fewer packets in it than expected.

Looking at the thread in the USB devel list it seems to be as far from a complete solution as ever.
Comment 13 Brian Morrison 2013-09-04 21:57:11 EDT
I have tried kernel-3.10.10-200.fc19.x86_64 and initially I thought it was better but again I see the urb err = -18 messages and the input to fldigi stalls completely.

Any fixes from the USB developers seem likely to have to wait until 3.13 comes along.
Comment 14 Brendan Jones 2013-10-10 07:37:13 EDT
The following ubuntu thread suggests a patch to fix this issue.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1191603
Comment 15 Brian Morrison 2013-10-10 09:10:15 EDT
Yes, the USB patches from Alan Stern that are needed have been released in mainline 3.11.4, so when that kernel drops for Fedora 19 then it will fix things for everyone using Fedora I believe.

I have a local build of 3.11.4 and will be testing it within a couple of days. I see koji has 3.11.4 for Fedora 18 so I should hope that other OS versions should see this kernel appearing soon.
Comment 16 Josh Boyer 2013-10-10 09:21:15 EDT
[jwboyer@zod kernel]$ git checkout f19
Switched to branch 'f19'
[jwboyer@zod kernel]$ fedpkg verrel
kernel-3.11.4-201.fc19
[jwboyer@zod kernel]$ 

Should be the next submitted update.
Comment 17 Fedora Update System 2013-10-10 13:40:25 EDT
kernel-3.11.4-201.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.4-201.fc19
Comment 18 Fedora Update System 2013-10-10 13:40:48 EDT
kernel-3.11.4-101.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.4-101.fc18
Comment 19 Brendan Jones 2013-10-10 13:51:40 EDT
Issue seems to be fixed in 3.12.0-0.rc4.git1.2.fc21 . I believe this patch landed in rc3.
Comment 20 Fedora Update System 2013-10-10 18:33:13 EDT
kernel-3.11.4-301.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.4-301.fc20
Comment 21 Fedora Update System 2013-10-10 22:32:11 EDT
Package kernel-3.11.4-201.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.4-201.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18820/kernel-3.11.4-201.fc19
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2013-10-13 15:55:09 EDT
kernel-3.11.4-301.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2013-10-14 03:10:11 EDT
kernel-3.11.4-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-10-14 13:17:14 EDT
kernel-3.11.4-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-10-18 15:30:53 EDT
kernel-3.11.4-101.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Brian Morrison 2013-10-19 08:05:08 EDT
This Fedora 19 kernel, kernel-3.11.4-201.fc19.x86_64, has completely cured my SignaLink USB problem.

Note You need to log in before you can comment on or make changes to this bug.